package com.uas.platform.b2b.erp.model;

import com.uas.platform.b2b.model.PurchaseInquiryReply;

public class QuotationDownDetail {

	private Double qd_lapqty;
	private Double qd_price;

	public Double getQd_lapqty() {
		return qd_lapqty;
	}

	public void setQd_lapqty(Double qd_lapqty) {
		this.qd_lapqty = qd_lapqty;
	}

	public Double getQd_price() {
		return qd_price;
	}

	public void setQd_price(Double qd_price) {
		this.qd_price = qd_price;
	}

	public QuotationDownDetail() {

	}

	/**
	 * 从平台的分段报价信息，转到卖家ERP的分段报价信息
	 * 
	 * @param reply
	 */
	public QuotationDownDetail(PurchaseInquiryReply reply) {
		this.qd_lapqty = reply.getLapQty();
		this.qd_price = reply.getPrice();
	}

	/**
	 * 从卖家ERP分段报价的信息，转到平台的分段报价信息
	 * 
	 * @return
	 */
	public PurchaseInquiryReply convert() {
		PurchaseInquiryReply reply = new PurchaseInquiryReply();
		reply.setLapQty(this.qd_lapqty);
		reply.setPrice(this.qd_price);
		return reply;
	}

}
